Name:		sxhkd
Version:	0.5.7
Release:	1%{?dist}
Summary:	Simple X hotkey daemon

License:	BSD
URL:		https://github.com/baskerville/%{name}
Source0:	%{url}/archive/%{version}.tar.gz

BuildRequires:	gcc

%if 0%{?rhel} > 6 || 0%{?fedora} > 20
%{?systemd_requires}
BuildRequires:	systemd
%endif

BuildRequires:	libxcb-devel
BuildRequires:	xcb-util-devel
BuildRequires:	xcb-util-keysyms-devel


%description
sxhkd is an X daemon that reacts to input events by executing commands.

Its configuration file is a series of bindings that define the associations
between the input events and the commands.

The format of the configuration file supports a simple notation for mapping
multiple shortcuts to multiple commands in parallel.


%prep
%setup -q


%build
%make_build VERBOSE=1 %{?_smp_mflags} CFLAGS="%{optflags} -std=c99" \
	LDFLAGS="%{?__global_ldflags}"


%install
%make_install PREFIX="%{_prefix}"
%if 0%{?rhel} > 6 || 0%{?fedora} > 20
install -p -D -m 0644 contrib/systemd/%{name}.service \
	%{buildroot}/%{_unitdir}/%{name}.service
%endif


%post
%if 0%{?rhel} > 6 || 0%{?fedora} > 20
%systemd_post %{name}.service
%endif

%preun
%if 0%{?rhel} > 6 || 0%{?fedora} > 20
%systemd_preun %{name}.service
%endif

%postun
%if 0%{?rhel} > 6 || 0%{?fedora} > 20
%systemd_postun_with_restart %{name}.service
%endif


%files
%license LICENSE
%{_bindir}/%{name}
%{_docdir}/%{name}/examples
%{_mandir}/man*/%{name}.1.gz
%if 0%{?rhel} > 6 || 0%{?fedora} > 20
%{_unitdir}/%{name}.service
%endif


%changelog
* Wed Apr 19 2017 nrechn - 0.5.7-1
- Initial release
